Bug 120704 - kernel crash - kernel BUG at vmscan.c 573
kernel crash - kernel BUG at vmscan.c 573
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-13 04:04 EDT by I. Piasecki
Modified: 2007-04-18 13:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-28 08:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description I. Piasecki 2004-04-13 04:04:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
Kernel crashed - version 2.4.20-30.9 latest from redjat by up2date. My
system, goes ok by few day and i noticed crash: in messages i can see:

pr 13 04:02:13 serwer kernel: ------------[ cut here ]------------
Apr 13 04:02:13 serwer kernel: kernel BUG at vmscan.c:573!
Apr 13 04:02:13 serwer kernel: invalid operand: 0000
Apr 13 04:02:13 serwer kernel: soundcore ipt_TCPMSS ipt_state
ip_conntrack_irc ip_nat_irc ip_nat_ftp ip_conntrack_ftp ipt_REJECT
ipt_owner ipt_MASQUERADE ipt_limit ipt_LOG iptable_nat iptab

Any ideas to avoid kernel crash ?






Version-Release number of selected component (if applicable):
2.4.20-30.9

How reproducible:
Couldn't Reproduce


Additional info:
Comment 1 I. Piasecki 2004-04-13 05:11:32 EDT
More lights on my problem:

Apr  7 15:03:55 serwer kernel: ------------[ cut here ]------------
Apr  7 15:03:55 serwer kernel: kernel BUG at vmscan.c:573!
Apr  7 15:03:55 serwer kernel: invalid operand: 0000
Apr  7 15:03:55 serwer kernel: soundcore i2c-isa it87 i2c-proc
i2c-core ipt_TCPMSS ipt_state ip_conntrack_irc ip_nat_irc ip_nat_ftp
ip_conntrack_ftp ipt_REJECT ipt_owner ipt_MASQUERADE ipt_
Apr  7 15:03:55 serwer kernel: CPU:    0
Apr  7 15:03:55 serwer kernel: EIP:    0060:[<c013c8f9>]    Not tainted
Apr  7 15:03:55 serwer kernel: EFLAGS: 00010206
Apr  7 15:03:55 serwer kernel:
Apr  7 15:03:55 serwer kernel: EIP is at refill_inactive_zone [kernel]
0x469 (2.4.20-30.9)
Apr  7 15:03:55 serwer kernel: eax: 00080000   ebx: c102c2cc   ecx:
c0310a80   edx: 00000000
Apr  7 15:03:55 serwer kernel: esi: 00000333   edi: c102c2b0   ebp:
c0310c24   esp: df7b3f9c
Apr  7 15:03:55 serwer kernel: ds: 0068   es: 0068   ss: 0068
Apr  7 15:03:55 serwer kernel: Process kswapd (pid: 5, stackpage=df7b3000)
Apr  7 15:03:55 serwer kernel: Stack: df7b3fbc c013db98 c0310c34
c0310bb4 00000032 fffffffe 00000004 0000004c
Apr  7 15:03:55 serwer kernel:        00000017 00000001 df7b2000
c0310a80 df7b2305 00000000 c013d8cc c0310a80
Apr  7 15:03:55 serwer kernel:        00000006 fffffff4 c013d7e0
00000000 00000000 c010742d 00000000 00000000
Apr  7 15:03:55 serwer kernel: Call Trace:   [<c013db98>]
wakeup_memwaiters [kernel] 0xd8 (0xdf7b3fa0))
Apr  7 15:03:56 serwer kernel: [<c013d8cc>] kswapd [kernel] 0xec
(0xdf7b3fd4))
Apr  7 15:03:56 serwer kernel: [<c013d7e0>] kswapd [kernel] 0x0
(0xdf7b3fe4))
Apr  7 15:03:56 serwer kernel: [<c010742d>] kernel_thread_helper
[kernel] 0x5 (0xdf7b3ff0))
Apr  7 15:03:56 serwer kernel:
Apr  7 15:03:56 serwer kernel:
Apr  7 15:03:56 serwer kernel: Code: 0f 0b 3d 02 dd 1c 26 c0 e9 61 fe
ff ff 8b 4c 24 3c 8b 99 38
Comment 2 Javier Ramos 2004-06-28 03:32:09 EDT
I have a very similar situation:

Jun 28 01:33:31 parsys kernel: kernel BUG at vmscan.c:573!
Jun 28 01:33:31 parsys kernel: invalid operand: 0000
Jun 28 01:33:31 parsys kernel: iptable_filter ip_tables e100 keybdev 
mousedev hid input usb-uhci ehci-hcd usbcore ext3 jbd ft3xx sd_mod 
scsi_mod  
Jun 28 01:33:31 parsys kernel: CPU:    1
Jun 28 01:33:31 parsys kernel: EIP:    0060:[<c0146c6f>]    Not 
tainted
Jun 28 01:33:31 parsys kernel: EFLAGS: 00010206
Jun 28 01:33:31 parsys kernel: 
Jun 28 01:33:31 parsys kernel: EIP is at refill_inactive_zone 
[kernel] 0x53f (2.4.20-31.9smp)
Jun 28 01:33:31 parsys kernel: eax: 00080000   ebx: c00309d8   ecx: 
c0342580   edx: 00000000
Jun 28 01:33:31 parsys kernel: esi: c00309f4   edi: 00000674   ebp: 
00001000   esp: f7f91f9c
Jun 28 01:33:31 parsys kernel: ds: 0068   es: 0068   ss: 0068
Jun 28 01:33:31 parsys kernel: Process kswapd (pid: 7, 
stackpage=f7f91000)
Jun 28 01:33:31 parsys kernel: Stack: 000001d0 0000ec42 c0343638 
c03436b8 00000006 fffffffe 00000001 0000003a 
Jun 28 01:33:31 parsys kernel:        0000001b 00000001 f7f90000 
c0342580 f7f90401 00000000 c014801c c0342580 
Jun 28 01:33:31 parsys kernel:        00000006 00000006 c0147f30 
00000000 00000000 c010759d 00000000 00000000 
Jun 28 01:33:31 parsys kernel: Call Trace:   [<c014801c>] kswapd 
[kernel] 0xec (0xf7f91fd4))
Jun 28 01:33:31 parsys kernel: [<c0147f30>] kswapd [kernel] 0x0 
(0xf7f91fe4))
Jun 28 01:33:31 parsys kernel: [<c010759d>] kernel_thread_helper 
[kernel] 0x5 (0xf7f91ff0))
Jun 28 01:33:31 parsys kernel: 
Jun 28 01:33:31 parsys kernel: 
Jun 28 01:33:31 parsys kernel: Code: 0f 0b 3d 02 20 66 28 c0 e9 04 fe 
ff ff 8d 74 26 00 8b 4c 24 
Jun 28 06:08:39 parsys syslogd 1.4.1: restart.
Jun 28 06:08:39 parsys syslog: syslogd startup succeeded
Jun 28 06:08:39 parsys kernel: klogd 1.4.1, log source = /proc/kmsg 
started.
Comment 3 Rik van Riel 2004-06-28 08:13:18 EDT
Sorry, but Red Hat Linux 9 is no longer being updated by Red Hat. If
you want this bug fixed in RHL9, you are probably better off taking
this bug report to the Fedora Legacy project:

http://www.fedoralegacy.org/

Note You need to log in before you can comment on or make changes to this bug.